import request from "@/utils/request.js"
//登录
export const login = (params) => {
	return request('/api/promoter/login',"POST",params)
}
//图片上传
export const uploadImg = (params) => {
	return request('/api/public/upload',"POST",params)
}
//获取行业类型
export const queryMccCd = (params) => {
	return request('/api/public/industry',"GET",params)
}
//新增进件
export const add_account = (params) => {
	return request('/api/promoter/add_account',"POST",params)
}
//获取所属区域
export const areas = (params) => {
	return request('/api/public/areas',"POST",params)
}
//开户支行
export const bank_code = (params) => {
	return request('/api/public/bank_code',"GET",params)
}
//进件图片上送
export const upload_imgs = (params) => {
	return request('/api/promoter/upload_imgs',"POST",params)
}
//进件资料确认
export const audit_info = (params) => {
	return request('/api/promoter/audit_info',"POST",params)
}
//进行签约
export const sign_to_ys = (params) => {
	return request('/api/promoter/sign',"POST",params)
}
//进件历史
export const account_list = (params) => {
	return request('/api/promoter/account_list',"POST",params)
}
//平台协议
export const sel_agreement = () => {
	return request('/api/public/sel_agreement',"GET")
}
//修改推广人
export const edit = (params) => {
	return request('/api/promoter/edit',"POST",params)
}
//存协议
export const sign_agreement = (params) => {
	return request('/api/public/sign_agreement',"POST",params)
}
//微信实名认证
export const wx_real_name = (params) => {
	return request('/api/promoter/wx_real_name',"POST",params)
}
//撤销商户微信实名认证
export const wx_real_name_cancel = (params) => {
	return request('/api/promoter/wx_real_name_cancel',"POST",params)
}
// 获取实名认证申请状态
export const wx_real_name_status = (params) => {
	return request('/api/promoter/wx_real_name_status',"POST",params)
}
// 获取实名认证申请单明细信息
export const wx_real_name_detail = (params) => {
	return request('/api/promoter/wx_real_name_detail',"POST",params)
}
//  获取商家授权状态(查询商户是否已完成实名认证)
export const wx_auth_status = (params) => {
	return request('/api/promoter/wx_auth_status',"POST",params)
}

// 支付宝实名认证
export const ali_real_name = (params) => {
	return request('/api/promoter/ali_real_name',"POST",params)
}
// 撤销支付宝实名认证申请
export const ali_real_name_cancel = (params) => {
	return request('/api/promoter/ali_real_name_cancel',"POST",params)
}
// 支付宝获取实名认证申请单明细信息
export const ali_real_name_detail = (params) => {
	return request('/api/promoter/ali_real_name_detail',"POST",params)
}
// 支付宝获取商家授权状态(查询商户是否已完成实名认证)
export const ali_auth_status = (params) => {
	return request('/api/promoter/ali_auth_status',"POST",params)
}